---
title: BluetoothRemoteGATTCharacteristic.readValue()
slug: Web/API/BluetoothRemoteGATTCharacteristic/readValue
tags:
  - API
  - Bluetooth
  - BluetoothRemoteGATTCharacteristic
  - Experimental
  - Property
  - Reference
  - Web Bluetooth API
  - readValue
---
<p>{{SeeCompatTable}}</p>

<p>The <strong><code>BluetoothRemoteGATTCharacteristic.readValue()</code></strong> method returns a {{jsxref("Promise")}} that resolves to a {{jsxref("DataView")}} holding a duplicate of the <code>value</code> property if it is available and supported. Otherwise it throws an error.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">BluetoothRemoteGATTCharacteristic.readValue().then(function(dataView) { ... })</pre>

<h3 id="Returns">Returns</h3>

<p>A {{jsxref("Promise")}} that resolves to an {{jsxref("DataView")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Web Bluetooth", "#dom-bluetoothremotegattcharacteristic-readvalue", "readValue()")}}</td>
   <td>{{Spec2("Web Bluetooth")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BluetoothRemoteGATTCharacteristic.readValue")}}</p>

<div>{{APIRef("Web Bluetooth")}}</div>
